NSX-T Data Center REST API

Create NSX cloud in Avi Load Balancer Controller.

Use this API to create a NSX cloud in Avi Load Balancer Controller.
This API is for VCF deployments only.

Request:

Method:
POST
URI Path(s):
/policy/api/v1/alb/controller-nodes/cloud
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
ALBControllerCloudCreationRequest+

Example Request:

POST https://<policy-mgr>/policy/api/v1/alb/controller-nodes/cloud { "name": "test-cloud", "nsxt_fqdn": "10.70.176.14", "nsxt_credentials_name": "test_creds", "onboard_avi_into_nsx": true, "vpc_mode": true, "verify_certificate": true, "clustering_id": "e8abab64-774e-48fa-bd5c-41df7aefdb88" }

Successful Response:

Response Code:
201 Created
Response Headers:
Content-type: application/json
Response Body:
ALBControllerCloudCreationRequest+

Example Response:

{ "name": "test-cloud", "nsxt_fqdn": "10.70.176.14", "nsxt_credentials_name": "test_creds", "onboard_avi_into_nsx": true, "vpc_mode": true, "verify_certificate": true }

Required Permissions:

crud

Feature:

policy_avi_lb

Additional Errors: